#[derive(Debug, Default)]
pub struct Symbol<'a> {
    pub index: u32,
    pub str_ref: Option<&'a str>,
}

impl Symbol<'_> {
    pub fn new(index: u32) -> Self {
        Self {
            index,
            str_ref: None,
        }
    }
}
